#include <avr/io.h>
#include <util/delay.h>
#include <stdint.h>
#include "Matrix.h"

#define STATUS 1

int main ()
{	
	unsigned char donnee[7]={0xE1,
							 0b01010101,
							 0b01010,
							 0b00000,
							 0b10001,
							 0b01110,
							 0b00000};
	char Donnee[7]={0};
	unsigned char Val[7];
	
	Matrix_Init();
	i2cInit();
	i2cSetSlaveReceiveHandler(Val);
	i2cSetSlaveTransmitHandler(donnee);
	char y,i=0;
	while(1)
	{
		
		switch(STATUS)
		{
			//Mode point par point
			case 1 ://mode 5 donnee de 7 bits
					UpdateDisplayColumns(Val);break;
			case 2 ://mode 7 donnee de 5 bits
					UpdateDisplayRows(Val);break;

			//mode caractre
			case 3 : 
					Matrix_Caractere(Val[0]);break;

			//mode Code ASCII
			case 4 : 
					Matrice3x5_AffichageASCII(Donnee,Val[0]);
					UpdateDisplayRows(Donnee);break;
		}


	}
	return;
}
