/*------------------------fonction--------------------*/


/* fonction d'initailisation de l'I2C*/
void i2cInit(void); //prdivion par 64
					//dfinition de l'adresse du module


/*fonction d'envoi de la condition de start */
void i2cStart(void);


/*fonction d'envoi de la condition de stop */
void i2cStop(void);


/*fonction d'envoi de l'octet de donne*/
void i2cEnvoyeBit(unsigned char data);


/* fonction d'envoi du bit d'ACK ou de NACK aprs rception*/
void i2cRecevoirBit(unsigned char ACK);


/*fonction de demande d'envoi de donne du module esclave d'adresse deviceAddr vers data*/
void i2cMasterReceive(unsigned char deviceAddr, unsigned char data);


/**/
void i2cMasterReceiveX(unsigned char deviceAddr, unsigned char length, unsigned char* data);


/*fonction d'envoi d'un octet de donne au module d'adresse device Addr*/
void i2cMasterSend (unsigned char deviceAddr,unsigned char data);


/*fonction d'envoi de donnes (data) d'une longueur length octet(s) au module d'adresse device Addr*/
void i2cMasterSendX(unsigned char deviceAddr, unsigned char length, unsigned char* data);


/*envoi des donnes traduite via FONT_5x7 d'un text d'une longeur length au module d'adresse adresse*/
void Master_SendMessage_font(char addresse,char *Text,unsigned char length);


/*envoi d'un text d'une longeur length au module d'adresse adresse  fonction qu'avec le mode caractre de l'esclave*/
void Master_SendMessage_carac(char adresse,char *Text,unsigned char length);


/*fonction qui permet de mettre dans un tableau toutes les donnes
  traduite du test de taile length_Text entr en paramtre dans le tableau donnee*/
void Master_Text_defil(char *Text,char *donnee, unsigned char length_Text);


/*fonction de dfilement sur un afficheur  l'aide d'un tableau tir de la fonction Master_Text_defil*/
void Master_defil1(char ADDR,char *donnee,unsigned char length);


/*-------------------------constante-------------------*/
#define TWCR_MASK	0x0F
#define ADDR 		0x01
#define TRUE 		1
#define FALSE 		0
#define TailleDonnee 5
