/*========================================================================*/
#define setPWM(val) OCR2B = (255-val) //permet de mettre une valeurs val  PWM
#define STATUS 4



/*initialisation de l'aficheur ( Ports, PWM, Timer)*/
void Matrix_Init(void);



/*-----------Mise  jours des donnes  afficher en ligne-------------*/
// 7 donnes de 5 bits sont entres en paramtre et sont directements intgres dans le tableau d'affichage
void UpdateDisplayRows (unsigned char *Data);



/*-----------Mise  jours des donnes  afficher en colonne-----------*/
//5 donnes de 7 bits qui sont converties et 7 donnes de 5 bits qui sont ensuite insres dans le tableau d'affichage 
void UpdateDisplayColumns (unsigned char *Data);



/*Fonction d'initialisation des port pour l'affichage*/
	//Initialisation des ports 
	//Gestion des colonnes
		// Configure PD2 en sortie -> P_C5
   		// Configure PC0->3 en sortie -> P_C0  P_C4
	//Gestion des Lignes
		// Configure PB0->3 en sortie -> A,B et C
		// Configure PD3 en sortie -> PWM
		// Active la broche PWM
void Matrix_Init_Port(void);




//gestion du PWM
void Init_PWM(void);
	// Initialisation du PWM sur le Timer 2 connect  l'horloge ext
		// Broche PWM => PORTD Broche 3 en
		//Mode : Fast PWM
		//Prscalar 8
//Definition de la valeur du pwm sur timer 2



/*Initialisation du Timer0 en interruption pour l'affichage*/
void Matrix_Init_Timer0(void);
	
		//prdivision par 1024
		//valeur d'interruption : 30 (pour une visibilit agrable)



/*---------------Slection ligne Afficheur----------------*/
// 
// Num_Row = 0 -> Slectionne la premire ligne
// Num_Row = 1 -> Slectionne la deuxime ligne
// ...
// Num_Row = 7 -> Slectionne la septime ligne
void Matrix_Select_Row(char num_row);




/*-----------Commandes des leds sur une ligne--------------*/
// Data = 0x00 -> Motif = xxxxx (aucune led allume)
// Data = 0x01 -> Motif = xxxxo
// Data = 0x02 -> Motif = xxxox
// Data = 0x03 -> Motif = xxxoo
// ...
// Data = 0x1F -> Motif = ooooo (toutes les leds allumes)
void Matrix_Column(unsigned char Data);


/* Fonction d'affichage du caractre rentr en paramtre */
//Utilisation de la librairie Font5x7
//Extraction des informations de Font[]
//Mise  jours du tableau d'affichage
void Matrix_Caractere(unsigned char caract);
